=== debian/changelog ===
node-jsconfig (0.1.1~20111212-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#653057.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 23 Dec 2011 16:15:57 +0700
