=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011, Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for jsconfig
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = jsconfig
libpkgname = node-$(libname)

CDBS_BUILD_DEPENDS += , nodejs-dev, coffeescript
CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli, node-async

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/jsconfig
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
#DEB_UPSTREAM_TARBALL_MD5 = 

DEB_INSTALL_DOCS_ALL += README.md
DEB_INSTALL_EXAMPLES_ALL += example/*

configure/$(libpkgname)::
	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs/jsconfig node-waf configure

build/$(libpkgname)::
	node-waf build

install/$(libpkgname)::
	node-waf install

DEB_DH_INSTALL_ARGS_$(libpkgname) = build/default/*.js /usr/lib/nodejs/jsconfig
DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js

clean::
	rm -rf build
	rm -f .lock-wscript
