=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=dodo&project=node-jsconfig .*/v(\d.*).tar.gz
