## node-jsconfig 0.1.1

=== debian/changelog ===
node-jsconfig (0.1.1-1) unstable; urgency=low

  * Rerelease using pristine tarball.
  * Update watch file to use more flexible regex.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 12:59:27 +0700
