=== debian/rules ===
--- 
+++ 
@@ -30,10 +30,10 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/jsconfig
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/node-$(libname)
+DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-#DEB_UPSTREAM_TARBALL_MD5 = 
+DEB_UPSTREAM_TARBALL_MD5 = 6839f94e788f290731fb2cb8cadfe388
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_ALL += example/*
