## node-jsconfig 0.2.0

=== debian/changelog ===
node-jsconfig (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * Stop depending on node-async.
  * Compile coffeescript manually (upstream switched from node-waf to
    muffin which is not yet in Debian).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Jan 2012 13:00:17 +0100
