=== debian/control ===
Source: node-jsconfig
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.72~),
 debhelper,
 dh-buildinfo,
 nodejs-dev,
 coffeescript
Standards-Version: 3.9.2
Homepage: https://github.com/dodo/node-jsconfig
Vcs-Git: git://git.debian.org/git/collab-maint/node-jsconfig
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-jsconfig.git

Package: node-jsconfig
Architecture: all
Depends: ${misc:Depends},
 ${cdbs:Depends}
Description: Node async configuration loader with command line support
 Node is an event-based server-side JavaScript engine.
 .
 jsconfig can load config file formats whatever Node can require:
 .
  * by default it's always possible to load `*.js` files
  * if you want to use coffee-script config files, just do a
    require('coffee-script') before and you're able to require
    `*.coffee` files as well
  * since Node 0.5.x it's even possible to require `.*json` files
  * if you're hardcore you can write your config in cpp and compile them
    to `*.node` files
 .
 jsconfig supports defaults, and provides a command-line interface.
