=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 libpkgname = node-$(libname)
 
 CDBS_BUILD_DEPENDS += , nodejs-dev, coffeescript
-CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli, node-async
+CDBS_DEPENDS_$(libpkgname) = nodejs, node-cli
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -33,23 +33,15 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/dodo/node-$(libname)
 DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 6839f94e788f290731fb2cb8cadfe388
+DEB_UPSTREAM_TARBALL_MD5 = 38b75492d259aa3eb82261199f7ac55b
 
 DEB_INSTALL_DOCS_ALL += README.md
 DEB_INSTALL_EXAMPLES_ALL += example/*
 
-configure/$(libpkgname)::
-	NODE_PATH=$(cdbs_curdestdir)/usr/lib/nodejs/jsconfig node-waf configure
-
+# TODO: build-depend on and use muffin
+DEB_DH_INSTALL_ARGS_$(libpkgname) = lib/*.js /usr/lib/nodejs/jsconfig
+DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js
 build/$(libpkgname)::
-	node-waf build
-
-install/$(libpkgname)::
-	node-waf install
-
-DEB_DH_INSTALL_ARGS_$(libpkgname) = build/default/*.js /usr/lib/nodejs/jsconfig
-DEB_DH_LINK_$(libpkgname) = usr/lib/nodejs/jsconfig/jsconfig.js usr/lib/nodejs/jsconfig/index.js
-
+	coffee -o lib -c src
 clean::
-	rm -rf build
-	rm -f .lock-wscript
+	rm -rf lib
