=== debian/watch ===
version=3
http://githubredir.debian.net/github/dodo/node-jsconfig .*?(\d[^/]*).tar.gz
